
class com.gizmet.tenochca.model.Codex 
{
	private static var expositionGlossary:Object;
	private static var alertGlossary:Object;
	
	public static function initialize ()
	{
		Codex.expositionGlossary = {
			intro: "You're that archaeologist guy, and you've been dropped off in Port Caracol, at the entrance to the Lost Valley of Tenochca.  You've got to find that other guy, who stole the calendar stone thinger that got broken up into a bunch of pieces, and try to get them back and put them back together.  Also, explore around, find stuff, and all that.  You've got two hundred and sixty days, because I said so.  Be back here then, or get left behind.  In the meantime, here's five hundred pounds sterling - check out the town, get yourself all geared up, and get going already."
		};
		Codex.alertGlossary = {
			no_jungle: "You can go no further into the dense jungle.  You turn back.",
			no_mountain: "The mountainous terrain blocks your passage.  You turn back.",
			no_go: "You can go no further in that direction."
		};
	}
	
	public static function getExposition (index)
	{
		return(Codex.expositionGlossary[index]);
	}
		
	public static function getAlert (index)
	{
		return(Codex.alertGlossary[index]);
	}
	
	public static var loremIpsum:String = "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Vivamus vehicula suscipit mauris. Donec molestie, lectus vel suscipit imperdiet, quam turpis semper tortor, quis ornare mauris felis eget dui. Morbi eget libero eu elit venenatis interdum. Maecenas libero libero, feugiat quis, tempus sit amet, scelerisque id, velit. Donec pede. Vestibulum odio neque, feugiat ac, egestas sed, posuere vel, sem. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nunc orci eros, blandit sit amet, volutpat sed, tempor eget, nunc. Phasellus ultricies. Sed interdum auctor felis. Donec dictum leo sit amet massa tincidunt tincidunt. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Vivamus vehicula suscipit mauris. Donec molestie, lectus vel suscipit imperdiet, quam turpis semper tortor, quis ornare mauris felis eget dui. ";
}