import com.gizmet.util.*;
import com.gizmet.tenochca.model.*;

class com.gizmet.tenochca.ui.actionButtonMenu extends MovieClip
{
	private var actionButtons:Array;
	
	private function actionButtonMenu () 
	{
		this.actionButtons = [ 	{ 	label: "Enter Town", 
									defaultState: "active",
									action: function () { trace("enter town") }
								},
								{	label: "Search Area",
									defaultState: "inactive",
									action: function () { trace("search") }
								},
								{	label: "Make Camp",
									defaultState: "active",
									action: function () { trace("camp") }
								}
							];
		
		// construct menu
		for (var i=0; i<this.actionButtons.length; i++) {
			var mcButton = this.attachMovie("actionButton", "actionButton_"+i, SerialIterator.getSerial());
			mcButton._x = 0;
			mcButton._y = i * mcButton._height;
			mcButton.label.text = this.actionButtons[i].label;
			
			mcButton.gotoAndStop(this.actionButtons[i].defaultState);
			mcButton.state = this.actionButtons[i].defaultState;
			mcButton.clickAction = this.actionButtons[i].action;
			mcButton.onRollOver = mcButton.onDragOver = function () {if (this.state eq "active") {gotoAndStop("over")}};
			mcButton.onRollOut = mcButton.onDragOut = function () {gotoAndStop(this.state) };
			mcButton.onPress = function () { if (this.state eq "active") {this.clickAction()} };
			
			this.actionButtons[i].mc = mcButton;
		}
	}
	
	public function setButtonState (label, state) 
	{
		// sloppy, but should be fine for short menus
		for (var i=0; i<this.actionButtons.length; i++) {
			if (this.actionButtons[i].label eq label) {
				this.actionButtons[i].mc.state = state;
				this.actionButtons[i].mc.gotoAndStop(state);
				break;
			}
		}
	}
	
}
