﻿import mx.events.EventDispatcher;
import com.gizmet.util.Logger;

class com.gizmet.util.EventBroadcaster {
	
        private static var instanced:Boolean = false;
	private static var broadcaster:EventBroadcaster = undefined;
	
	private var dispatchEvent:Function;
	public var addEventListener:Function;
	public var removeEventListener:Function;

	private function EventBroadcaster () {
		Logger.log("EventBroadcaster Instanced");
		EventBroadcaster.instanced = true;
		mx.events.EventDispatcher.initialize(this);
	}

	public static function getBroadcaster () {
		if (! EventBroadcaster.instanced) {
			EventBroadcaster.broadcaster = new EventBroadcaster();
		}
		return EventBroadcaster.broadcaster;
	}

	public function broadcast (eventType:String, eventData:Object) {
		var eventObject = {target: this, type: eventType, data: eventData};
		Logger.log("Broadcast: "+eventType);
		this.dispatchEvent(eventObject);
	}
}