﻿
class com.gizmet.util.Logger {
	/**
	* Logger is a static class to be used as a replacement for 
	* trace() for outputting debug information.  In addition to 
	* the standard trace functionality, Logger supports debug 
	* levels, and can be used to output to a text field onscreen.
	*/
	
	static public var doTrace:Boolean = false;
	static public var doClip:Boolean = false;
	static public var mc_text:MovieClip = undefined;
	static public var debugLevel:Number;
	
	static public var MESSAGE:Number = 0;
	static public var DEBUG:Number = 1;
	static public var WARNING:Number = 2;
	static public var ERROR:Number = 3;
	static private var dict = new Array("MESSAGE", "DEBUG", "WARNING", "ERROR");
	
	public static function log (strMessage:String,intLevel:Number) {
		var d:Date = new Date();
		var dateStr = d.getFullYear() + "/" + d.getMonth() + "/" + d.getDay() + " " + d.getHours() + ":" + d.getMinutes() + ":" + d.getSeconds() ;
		if (intLevel == undefined) intLevel = 0;
		
		var strOutput = (dateStr + " " + Logger.dict[intLevel] + " : " + strMessage);
		if (doTrace) {
			trace(strOutput);
		}
		if (mc_text != undefined && doClip) {
			mc_text.text = mc_text.text + strOutput + "\n";
		}
	}

}