class com.gizmet.util.SerialIterator{

	/**
	* SerialIterator is a static class to be used to generate arbitrary
	* unique numbers when needed, such as for MovieClip depths
	* and whatnot.
	*/

	private static var startNum:Number;
	private static var currentNum:Number;
	
	public static function initialize  (myStartNum) {
		startNum = myStartNum;
		reset();
	}
	
	public static function getSerial () {
		if (currentNum >= Number.MAX_VALUE) {
			reset();
		}
		return currentNum++;
	}
	
	public static function reset () {
		currentNum = startNum;
	}
}
